#include "datatable/validator/AbstractFieldValidator.h"
#include "AggreGateException.h"

bool AbstractFieldValidator::shouldEncode()
{
    return false;
}

AgString AbstractFieldValidator::encode()
{
    return "";
}

char AbstractFieldValidator::getType()
{
    return 0;
}

bool AbstractFieldValidator::equals(AgObject *obj)
{
    if (obj == NULL)
    {
        return false;
    }

    if (!(dynamic_cast<FieldValidator *>(obj)))
    {
        return false;
    }

    return this->getClass() == obj->getClass();
}
